Bug 141931 - Update net/nss_ldap to latest version (& adopt)
Summary: Update net/nss_ldap to latest version (& adopt)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-23 22:10 UTC by mikeg
Modified: 2010-01-18 03:50 UTC (History)
0 users

See Also:


Attachments
file.txt (5.90 KB, text/plain)
2009-12-23 22:10 UTC, mikeg
no flags Details
nss_ldap.PATCH2.txt (4.71 KB, text/plain)
2010-01-13 04:35 UTC, mikeg
no flags Details
nss_ldap.PATCH2 (4.59 KB, application/octet-stream)
2010-01-13 05:23 UTC, mikeg
no flags Details
file.dat (1 bytes, text/plain; charset=us-ascii)
2010-01-13 05:23 UTC, mikeg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikeg 2009-12-23 22:10:01 UTC
Attached patch to update the nss_ldap port (1.264 -> 1.265) & adopt maintainership.

Major upgrade-related fixes (from upstream):
- Version info now in binary
- Fix broken ethers LDAP query
- FD leak cleanup

Fixes in port:
- Re-enable many nss classes that were disabled (ethers, netgroups)
- Fix compile-time breakage in ldap-ethers code (Better fix going upstream when I have time)

***

Note: Ethers and Netgroup support aren't thoroughly tested as I don't use these in my environment.
Re-enabling them doesn't seem to cause any problems, so they're back on in accordance with POLA.
PRs/test cases for these are welcome if anyone finds breakage.

Fix: Patch attached

Patch attached with submission follows:
How-To-Repeat: -
Comment 1 Philip M. Gollucci freebsd_committer 2009-12-26 07:05:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-01-04 04:44:09 UTC
State Changed
From-To: open->closed

consolidated to 141822
Comment 3 Philip M. Gollucci freebsd_committer 2010-01-04 22:44:01 UTC
State Changed
From-To: closed->open

oops, this is not net/nss_ldapd but net/nss_ldap
Comment 4 Philip M. Gollucci freebsd_committer 2010-01-09 22:28:40 UTC
State Changed
From-To: open->feedback

patch-Makefile.am doesn't apply 

http://people.freebsd.org/~pgollucci/FreeBSD/feedbacks/141931.log
Comment 5 mikeg 2010-01-13 04:35:53 UTC
Hmm, 

Not sure what happened to patch-Makefile.am -- I must have grabbed a botched version of my port patch because there were a few problems in that file that I recall fixing.

Re-rolled and re-tested - seems OK with the attached replacement patch.

-MG
Comment 6 mikeg 2010-01-13 05:23:17 UTC
Hmm.. either GNATS or my mail client mauled the patch on that last follow-up pretty horribly.

Hopefully the attached version will make it unscathed.

-MG
Comment 7 Philip M. Gollucci freebsd_committer 2010-01-13 23:12:31 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 8 dfilter service freebsd_committer 2010-01-18 03:44:06 UTC
pgollucci    2010-01-18 03:43:56 UTC

  FreeBSD ports repository

  Modified files:
    net/nss_ldap         Makefile distinfo 
    net/nss_ldap/files   patch-Makefile.am 
  Added files:
    net/nss_ldap/files   patch-ldap-ethers.c patch-ldap-ethers.h 
  Log:
  - Update to 1.265
  - Submitted is now MAINTAINER
  
  Major upgrade-related fixes (from upstream):
  - Version info now in binary
  - Fix broken ethers LDAP query
  - FD leak cleanup
  
  Fixes in port:
  - Re-enable many nss classes that were disabled (ethers, netgroups)
  - Fix compile-time breakage in ldap-ethers code (Better fix going upstream when I have time)
  
  ***
  
  Note: Ethers and Netgroup support aren't thoroughly tested as I don't use these in my environment.
  Re-enabling them doesn't seem to cause any problems, so they're back on in accordance with POLA.
  PRs/test cases for these are welcome if anyone finds breakage.
  
  PR:             ports/141931
  Submitted by:   Michael Graziano <mikeg@bsd-box.net>
  
  Revision  Changes    Path
  1.33      +2 -2      ports/net/nss_ldap/Makefile
  1.16      +3 -3      ports/net/nss_ldap/distinfo
  1.2       +14 -16    ports/net/nss_ldap/files/patch-Makefile.am
  1.1       +32 -0     ports/net/nss_ldap/files/patch-ldap-ethers.c (new)
  1.1       +11 -0     ports/net/nss_ldap/files/patch-ldap-ethers.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Philip M. Gollucci freebsd_committer 2010-01-18 03:44:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!